Subject: Re: Bug in git-filter-branch example

From: Johannes Sixt <[email-masked]>
Date: Mon, 01 Feb 2010 13:57:29 +0100

Ivo Anjo schrieb:
> I've been working on importing my svn repo into git, and while moving
> some things around using git-filter-branch I ran into a bug in the
> example provided on the manpage:

Thanks for the report, but: Examples are just that: examples. IMO, it is
OK that there are implicit assumptions (such as that only "common" file
names are used in the repo).

Making the example universally applicable would greatly obfuscate the
important messages.

> I ended up using git filter-branch to remove the offending file ("if
> all you have is a hammer..."), and re-adding it after the move.

It seems that the example has met its objective: It showed you how to use
the hammer, and with your creativity mixed in, it enabled you to use the
hammer in new ways.

-- Hannes